From ad40090a85144baa5c481226dfeff098ef42dac2 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@gmail.com>
Date: Mon, 21 Mar 2022 16:33:10 +1300
Subject: [PATCH v3 2/2] fixup! Add additional filtering options to pg_waldump

---
 src/bin/pg_waldump/pg_waldump.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/bin/pg_waldump/pg_waldump.c b/src/bin/pg_waldump/pg_waldump.c
index 430df85480..a1ce1fa1f3 100644
--- a/src/bin/pg_waldump/pg_waldump.c
+++ b/src/bin/pg_waldump/pg_waldump.c
@@ -405,7 +405,7 @@ XLogRecordMatchesRelationBlock(XLogReaderState *record, RelFileNode matchRnode,
 {
 	int			block_id;
 
-	for (block_id = 0; block_id <= record->max_block_id; block_id++)
+	for (block_id = 0; block_id <= XLogRecMaxBlockId(record); block_id++)
 	{
 		RelFileNode rnode;
 		ForkNumber	forknum;
@@ -435,7 +435,7 @@ XLogRecordHasFPW(XLogReaderState *record)
 {
 	int			block_id;
 
-	for (block_id = 0; block_id <= record->max_block_id; block_id++)
+	for (block_id = 0; block_id <= XLogRecMaxBlockId(record); block_id++)
 	{
 		if (!XLogRecHasBlockRef(record, block_id))
 			continue;
-- 
2.35.1

